Package org.htmlunit.html

# Class DomDocumentType

java.lang.Object
org.htmlunit.html.DomNode
org.htmlunit.html.DomDocumentType

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `DocumentType`, `Node`

public class DomDocumentType extends DomNode implements DocumentType
A DOM object for DocumentType.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.htmlunit.html.DomNode

  `DomNode.ChildIterator, DomNode.DescendantDomElementsIterator, DomNode.DescendantDomNodesIterator, DomNode.DescendantElementsIterator<T extends DomNode>, DomNode.DescendantHtmlElementsIterator`

- ## Field Summary

  ### Fields inherited from class org.htmlunit.html.DomNode

  `PROPERTY_ELEMENT, READY_STATE_COMPLETE, READY_STATE_INTERACTIVE, READY_STATE_LOADED, READY_STATE_LOADING, READY_STATE_UNINITIALIZED`

  ### Fields inherited from interface org.w3c.dom.Node

  `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DomDocumentType(SgmlPage page, String name, String publicId, String systemId)`
  Creates a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NamedNodeMap`
  `getEntities()`
  `String`
  `getInternalSubset()`
  `String`
  `getName()`
  `String`
  `getNodeName()`
  `short`
  `getNodeType()`
  `NamedNodeMap`
  `getNotations()`
  `String`
  `getPublicId()`
  `String`
  `getSystemId()`
  `void`
  `setNodeValue(String value)`
  `void`
  `setPrefix(String prefix)`

  ### Methods inherited from class org.htmlunit.html.DomNode

  `addCharacterDataChangeListener, addDomChangeListener, appendChild, asNormalizedText, asXml, basicRemove, checkChildHierarchy, cloneNode, closest, compareDocumentPosition, detach, fireCharacterDataChanged, fireNodeAdded, fireNodeDeleted, getAncestors, getAttributes, getBaseURI, getByXPath, getByXPath, getCanonicalXPath, getChildNodes, getChildren, getDescendants, getDomElementDescendants, getEndColumnNumber, getEndLineNumber, getFeature, getFirstByXPath, getFirstByXPath, getFirstChild, getHtmlElementDescendants, getHtmlPageOrNull, getIndex, getLastChild, getLocalName, getNamespaceURI, getNextElementSibling, getNextSibling, getNodeValue, getOwnerDocument, getPage, getParentNode, getPrefix, getPreviousElementSibling, getPreviousSibling, getReadyState, getScriptableObject, getSelectorList, getStartColumnNumber, getStartLineNumber, getTextContent, getUserData, getVisibleText, handles, hasAttributes, hasChildNodes, hasFeature, insertBefore, insertBefore, isAncestorOf, isAncestorOfAny, isAttachedToPage, isDefaultNamespace, isDisplayed, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, mayBeDisplayed, normalize, notifyIncorrectness, onAddedToDocumentFragment, onAddedToPage, onAllChildrenAddedToPage, parseHtmlSnippet, printChildrenAsXml, printXml, processImportNode, querySelector, querySelectorAll, quietlyRemoveAndMoveChildrenTo, remove, removeAllChildren, removeCharacterDataChangeListener, removeChild, removeDomChangeListener, replace, replaceChild, setEndLocation, setParentNode, setReadyState, setScriptableObject, setStartLocation, setTextContent, setUserData`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.w3c.dom.Node

  `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setTextContent, setUserData`

- ## Constructor Details

  - ### DomDocumentType

    public DomDocumentType(SgmlPage page, String name, String publicId, String systemId)
    Creates a new instance.
    Parameters:
      `page` - the page which contains this node
      `name` - the name
      `publicId` - the public ID
      `systemId` - the system ID

- ## Method Details

  - ### getNodeName

    public String getNodeName()
    Specified by:
      `getNodeName` in interface `Node`

  - ### getNodeType

    public short getNodeType()
    Specified by:
      `getNodeType` in interface `Node`

  - ### getEntities

    public NamedNodeMap getEntities()
    Specified by:
      `getEntities` in interface `DocumentType`

  - ### getInternalSubset

    public String getInternalSubset()
    Specified by:
      `getInternalSubset` in interface `DocumentType`

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `DocumentType`

  - ### getNotations

    public NamedNodeMap getNotations()
    Specified by:
      `getNotations` in interface `DocumentType`

  - ### getPublicId

    public String getPublicId()
    Specified by:
      `getPublicId` in interface `DocumentType`

  - ### getSystemId

    public String getSystemId()
    Specified by:
      `getSystemId` in interface `DocumentType`

  - ### setNodeValue

    public void setNodeValue(String value)
    Specified by:
      `setNodeValue` in interface `Node`

  - ### setPrefix

    public void setPrefix(String prefix)
    Specified by:
      `setPrefix` in interface `Node`